import request from '@/utils/request'

// 查询音乐合成列表
export function listSynthesis(query) {
  return request({
    url: '/laboratory/synthesis/list',
    method: 'get',
    params: query
  })
}

// 查询音乐合成详细
export function getSynthesis(id) {
  return request({
    url: '/laboratory/synthesis/' + id,
    method: 'get'
  })
}

// 新增音乐合成
export function addSynthesis(data) {
  return request({
    url: '/laboratory/synthesis',
    method: 'post',
    data: data
  })
}

// 修改音乐合成
export function updateSynthesis(data) {
  return request({
    url: '/laboratory/synthesis',
    method: 'put',
    data: data
  })
}

// 删除音乐合成
export function delSynthesis(id) {
  return request({
    url: '/laboratory/synthesis/' + id,
    method: 'delete'
  })
}



// 查询音乐合成列表
export function listRiskPlan(query) {
  return request({
    url: '/laboratory/plan/getNoauthList',
    method: 'get',
    params: query
  })
}
